E-MailRelay

Public Member Functions | List of all members
GNet::DnsMessageRRData Class Reference

A trivial mix-in base class that simplifies method names when accessing data from a DnsMessageRR derived class. More...

`#include <gdnsmessage.h>`

Inheritance diagram for GNet::DnsMessageRRData:
[legend]

## Public Member Functions
unsigned int | byte (unsigned int offset) const
| Calls rdataByte(). More...
unsigned int | word (unsigned int offset) const
| Calls rdataWord(). More...
std::string | span (unsigned int begin, unsigned int end) const
| Calls rdataSpan(). More...
std::string | span (unsigned int begin) const
| Calls rdataSpan(). More...
std::string | dname (unsigned int rdata_offset) const
| Calls rdataDname(). More...
std::string | dname (unsigned int *rdata_offset_inout_p) const
| Calls rdataDname(). More...
unsigned int | offset () const
| Calls rdataOffset().
unsigned int | size () const
| Calls rdataSize(). More...

## Detailed Description

A trivial mix-in base class that simplifies method names when accessing data from a DnsMessageRR derived class.

Definition at line 206 of file gdnsmessage.h.

## Member Function Documentation

## ◆ byte()

unsigned int GNet::DnsMessageRRData::byte | ( | unsigned int | offset | ) | const
| inline

Calls rdataByte().

Definition at line 418 of file gdnsmessage.h.

## ◆ dname() [1/2]

std::string GNet::DnsMessageRRData::dname | ( | unsigned int * | rdata_offset_inout_p | ) | const
| inline

Calls rdataDname().

Definition at line 394 of file gdnsmessage.h.

## ◆ dname() [2/2]

std::string GNet::DnsMessageRRData::dname | ( | unsigned int | rdata_offset | ) | const
| inline

Calls rdataDname().

Definition at line 388 of file gdnsmessage.h.

## ◆ size()

unsigned int GNet::DnsMessageRRData::size | ( |  | ) | const
| inline

Calls rdataSize().

Definition at line 412 of file gdnsmessage.h.

## ◆ span() [1/2]

std::string GNet::DnsMessageRRData::span | ( | unsigned int | begin | ) | const
| inline

Calls rdataSpan().

Definition at line 400 of file gdnsmessage.h.

## ◆ span() [2/2]

std::string GNet::DnsMessageRRData::span | ( | unsigned int | begin,
|  | unsigned int | end
| ) |  | const
| inline

Calls rdataSpan().

Definition at line 406 of file gdnsmessage.h.

## ◆ word()

unsigned int GNet::DnsMessageRRData::word | ( | unsigned int | offset | ) | const
| inline

Calls rdataWord().

Definition at line 424 of file gdnsmessage.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gdnsmessage.h